Bug 1118540 - startx crashes
Summary: startx crashes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 02:26 UTC by Lokesh Mandvekar
Modified: 2014-07-11 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-11 09:05:48 UTC


Attachments (Terms of Use)
Xorg.0.log and dmesg with drm.debug=14 log_buf_len=16M on rv200 on 32 bit (66.23 KB, text/plain)
2014-07-11 08:20 UTC, Felix Miata
no flags Details

Description Lokesh Mandvekar 2014-07-11 02:26:19 UTC
Description of problem:

after updating my rawhide yesterday, startx doesn't no longer works as expected for me.

Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.3.2-12.fc21.x86_64


How reproducible:
always


Steps to Reproduce:
1. update rawhide
2. run startx

Actual results: Following is my /var/log/Xorg.0.log
[    77.908] 
This is a pre-release version of the X server from Fedora Project.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.
[    77.908] 
X.Org X Server 1.15.99.904 (1.16.0 RC 4)
Release Date: 2014-07-07
[    77.908] X Protocol Version 11, Revision 0
[    77.908] Build Operating System:  3.14.3-200.fc20.x86_64 
[    77.909] Current Operating System: Linux naruto 3.16.0-0.rc4.git2.1.fc21.x86_64 #1 SMP Wed Jul 9 17:14:09 UTC 2014 x86_64
[    77.909] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.16.0-0.rc4.git2.1.fc21.x86_64 root=UUID=6e091b35-f0ce-4253-8495-ff7cd25efd36 ro vconsole.font=latarcyrheb-sun16 rhgb quiet
[    77.909] Build Date: 08 July 2014  11:26:11AM
[    77.909] Build ID: xorg-x11-server 1.15.99.904-1.fc21 
[    77.909] Current version of pixman: 0.32.6
[    77.909] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    77.909] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    77.910] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Jul 10 18:57:02 2014
[    77.982] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    78.042] (==) No Layout section.  Using the first Screen section.
[    78.042] (==) No screen section available. Using defaults.
[    78.043] (**) |-->Screen "Default Screen Section" (0)
[    78.043] (**) |   |-->Monitor "<default monitor>"
[    78.045] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    78.045] (**) Option "BlankTime" "0"
[    78.045] (**) Option "StandbyTime" "0"
[    78.045] (**) Option "SuspendTime" "0"
[    78.045] (**) Option "OffTime" "0"
[    78.045] (==) Automatically adding devices
[    78.045] (==) Automatically enabling devices
[    78.045] (==) Automatically adding GPU devices
[    78.059] (==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
[    78.059] (==) ModulePath set to "/usr/lib64/xorg/modules"
[    78.059] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    78.059] (II) Loader magic: 0x81ce40
[    78.059] (II) Module ABI versions:
[    78.059] 	X.Org ANSI C Emulation: 0.4
[    78.059] 	X.Org Video Driver: 18.0
[    78.059] 	X.Org XInput driver : 21.0
[    78.059] 	X.Org Server Extension : 8.0
[    78.071] (II) systemd-logind: took control of session /org/freedesktop/login1/session/_31
[    78.073] (II) xfree86: Adding drm device (/dev/dri/card0)
[    78.075] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 10 paused 0
[    78.075] (EE) 
[    78.076] (EE) Backtrace:
[    78.080] (EE) 0: /usr/libexec/Xorg.bin (OsLookupColor+0x119) [0x59bbe9]
[    78.090] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x35d5235c7f]
[    78.091] (EE) 2: /lib64/libc.so.6 (cfree+0x22) [0x35d52869b2]
[    78.093] (EE) 3: /usr/libexec/Xorg.bin (config_fini+0x19a) [0x49c39a]
[    78.094] (EE) 4: /usr/libexec/Xorg.bin (xf86LoadKernelModule+0x306) [0x49ffa6]
[    78.095] (EE) 5: /usr/libexec/Xorg.bin (xf86PlatformDeviceCheckBusID+0x1ff) [0x4a023f]
[    78.096] (EE) 6: /usr/libexec/Xorg.bin (config_fini+0x1a93) [0x49f423]
[    78.096] (EE) 7: /usr/libexec/Xorg.bin (xf86PlatformMatchDriver+0x2f0) [0x49ac40]
[    78.097] (EE) 8: /usr/libexec/Xorg.bin (xf86BusProbe+0x9) [0x46cdb9]
[    78.098] (EE) 9: /usr/libexec/Xorg.bin (InitOutput+0x75b) [0x47b84b]
[    78.099] (EE) 10: /usr/libexec/Xorg.bin (remove_fs_handlers+0x22a) [0x43cfca]
[    78.100] (EE) 11: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x35d52200c0]
[    78.100] (EE) 12: /usr/libexec/Xorg.bin (_start+0x29) [0x42761e]
[    78.101] (EE) 13: ? (?+0x29) [0x29]
[    78.101] (EE) 
[    78.102] (EE) Segmentation fault at address 0x2
[    78.102] (EE) 
Fatal server error:
[    78.102] (EE) Caught signal 11 (Segmentation fault). Server aborting
[    78.102] (EE) 
[    78.102] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[    78.102] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    78.103] (EE) 
[    78.109] (EE) Server terminated with error (1). Closing log file.

Comment 1 Lokesh Mandvekar 2014-07-11 02:34:04 UTC
(In reply to Lokesh Mandvekar from comment #0)
> Description of problem:
> 
> after updating my rawhide yesterday, startx doesn't no longer works as
> expected for me.
>

s/doesn't //

Comment 2 Hans de Goede 2014-07-11 06:33:01 UTC
What kind of graphics-card / gpu do you have ?

Comment 3 Lokesh Mandvekar 2014-07-11 07:00:48 UTC
lspci shows me this:

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

btw, it's a lenovo x230 if that helps.

Comment 4 Felix Miata 2014-07-11 08:20:03 UTC
Created attachment 917264 [details]
Xorg.0.log and dmesg with drm.debug=14 log_buf_len=16M on rv200 on 32 bit

Attachment is from F21 on 32 bit, but several hours earlier I found the same crashing on 64 bit i945G with both Rawhide and F21. No crashing on any starting KDM via graphical.target instead of using startx from multi-user.target.

Comment 5 Hans de Goede 2014-07-11 09:05:48 UTC
Thanks for the bug report. I've managed to reproduce and fix this.

xorg-x11-server-1.15.99.904-3, which fixes this, is building for rawhide and f21, closing.

Comment 6 Lokesh Mandvekar 2014-07-11 15:46:59 UTC
Awesome thanks!!


Note You need to log in before you can comment on or make changes to this bug.